import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
interface SerieItem {
    name: string | Date;
    value: number;
}
export interface ChartInputData {
    name: string;
    series?: SerieItem[];
}
export interface ChartInputStream {
    stream: Observable<number>;
    label: string;
}
export declare class ChartCardComponent implements OnInit, OnDestroy {
    set data(data: ChartInputData | ChartInputData[]);
    xAxis: boolean;
    yAxis: boolean;
    gradient: boolean;
    showLegend: boolean;
    showXAxisLabel: boolean;
    xAxisLabel: string;
    showYAxisLabel: boolean;
    yAxisLabel: string;
    colorScheme: {
        domain: string[];
    };
    yAxisTickFormatting: (input: any) => any;
    xAxisTickFormatting: (input: any) => string;
    /**
     * Maximum number of value displayed in the chart
     * undefined means no limit
     */
    valueCountLimit: number | undefined;
    autoScale: boolean;
    onError: EventEmitter<Error>;
    private subscription?;
    results: ChartInputData[];
    set inputStream(inputs: (ChartInputStream | ChartInputStream)[]);
    constructor();
    onSelect(event: CustomEvent<any>): void;
    ngOnInit(): void;
    defaultDateTickFormatting(val: any): string;
    ngOnDestroy(): void;
}
export {};
